Subject: Re: TCP event tracking via netlink...

From: Evgeniy Polyakov <[email-masked]>
Date: Thu, 6 Dec 2007 13:58:24 +0300

On Wed, Dec 05, 2007 at 09:03:43PM -0800, David Miller ([email-masked]) wrote:
> I think this work is very different.
> 
> When I say "state" I mean something more significant than
> CLOSE, ESTABLISHED, etc. which is what Samir's patches are
> tracking.
> 
> I'm talking about all of the sequence numbers, SACK information,
> congestion control knobs, etc. whose values are nearly impossible to
> track on a packet to packet basis in order to diagnose problems.

I pointed that work as a possible basis for collecting more info if you
needs including sequence numbers, window sizes and so on.
It just requires a useful structure layout placed, so that one would not
require to recreate the same bits again, so that it could be called from
any place inside the stack.

-- 
	Evgeniy Polyakov